import AWS from 'aws-sdk';
import { Command } from '@oclif/command';
import { Task } from 'listr2/dist/lib/task';
import { ListrTaskObject } from 'listr2';
import * as Config from '@oclif/config';
import { RootState } from './types/root-state';
export default abstract class BaseCommand extends Command {
    private storageResolver;
    constructor(argv: string[], config: Config.IConfig);
    protected printBanner(awsConfig: AWS.Config, flags: Record<string, any>): void;
    protected writeStateFile(uri: string, state: RootState): Promise<void>;
    protected stateFileExists(uri: string): Promise<boolean>;
    protected readStateFile(uri: string): Promise<string>;
    protected validateStateFilePath(flags: Record<string, any>): Promise<void>;
    protected collectErrors(tasks: ListrTaskObject<any, any>[]): string[];
    protected renderSummary(tasks: Task<any, any>[] | ListrTaskObject<any, any>[], level?: number): void;
    protected consoleWriteLine(message?: string): void;
}
