"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalStorage = void 0;
const fs_1 = require("fs");
class LocalStorage {
    getProtocol() {
        return LocalStorage.protocol;
    }
    async read(uri) {
        return fs_1.readFileSync(LocalStorage.getPath(uri)).toString('utf-8');
    }
    async exists(uri) {
        return fs_1.existsSync(LocalStorage.getPath(uri));
    }
    async write(uri, content) {
        return fs_1.writeFileSync(LocalStorage.getPath(uri), content, 'utf-8');
    }
    static getPath(uri) {
        return uri.replace(/^file:\/\//gi, '');
    }
}
exports.LocalStorage = LocalStorage;
LocalStorage.protocol = 'file:';
//# sourceMappingURL=local.storage.js.map