import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { KinesisStreamState } from '../states/kinesis-stream.state';
import { TrickContext } from '../types/trick-context';
export declare type DecreaseKinesisStreamsShardsState = KinesisStreamState[];
export declare class DecreaseKinesisStreamsShardsTrick implements TrickInterface<DecreaseKinesisStreamsShardsState> {
    static machineName: string;
    private ksClient;
    private rgtClient;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    private listKinesisStreamsNames;
    private getStreamState;
    private conserveStreamShards;
    private restoreStreamShards;
    private getStreamSummary;
    private isStreamIncluded;
}
