import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { NatGatewayState } from '../states/nat-gateway.state';
import { TrickContext } from '../types/trick-context';
export declare type RemoveNatGatewaysState = NatGatewayState[];
export declare class RemoveNatGatewaysTrick implements TrickInterface<RemoveNatGatewaysState> {
    static machineName: string;
    private ec2Client;
    private routeTablesCache?;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: RemoveNatGatewaysState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: RemoveNatGatewaysState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: RemoveNatGatewaysState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveNatGateway;
    private restoreNatGateway;
    private listNatGateways;
    private static getNameTag;
    private findRoutes;
    private getAllRouteTables;
    private static prepareFilters;
}
