import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { AutoScalingGroupState } from '../states/auto-scaling-group.state';
import { TrickContext } from '../types/trick-context';
export declare type ScaledownAutoScalingGroupsState = AutoScalingGroupState[];
export declare class ScaledownAutoScalingGroupsTrick implements TrickInterface<ScaledownAutoScalingGroupsState> {
    static machineName: string;
    private asClient;
    private rgtClient;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: ScaledownAutoScalingGroupsState, options: TrickOptionsInterface): Promise<void>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: ScaledownAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: ScaledownAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    private listAutoScalingGroups;
    private conserveAutoScalingGroup;
    private restoreAutoScalingGroup;
    private isAsgIncluded;
}
