import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { ElasticacheReplicationGroupState } from '../states/elasticache-replication-group.state';
import { TrickContext } from '../types/trick-context';
export declare type SnapshotRemoveElasticacheRedisState = ElasticacheReplicationGroupState[];
export declare class SnapshotRemoveElasticacheRedisTrick implements TrickInterface<SnapshotRemoveElasticacheRedisState> {
    static machineName: string;
    private elcClient;
    private rgtClient;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: SnapshotRemoveElasticacheRedisState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: SnapshotRemoveElasticacheRedisState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: SnapshotRemoveElasticacheRedisState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveReplicationGroup;
    private restoreReplicationGroup;
    private getReplicationGroupState;
    private generateNodeGroupConfigs;
    private buildCreateParams;
    private doesReplicationGroupExist;
    private listReplicationGroups;
    private describeCacheCluster;
    private getTags;
    private isClusterIncluded;
    private static generateSnapshotName;
}
