import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { EcsClusterState } from '../states/ecs-cluster.state';
import { TrickContext } from '../types/trick-context';
export declare type StopFargateEcsServicesState = EcsClusterState[];
export declare class StopFargateEcsServicesTrick implements TrickInterface<StopFargateEcsServicesState> {
    static machineName: string;
    private rgtClient;
    private ecsClient;
    private aasClient;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: StopFargateEcsServicesState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: StopFargateEcsServicesState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: StopFargateEcsServicesState, options: TrickOptionsInterface): Promise<Listr>;
    private getClusterState;
    private getServiceState;
    private listClusters;
    private listServices;
    private describeAllServices;
    private describeAllScalableTargets;
    private conserveDesiredCount;
    private conserveScalableTargets;
    private restoreDesiredCount;
    private restoreScalableTargets;
    private static getEcsServiceResourceId;
    private isServiceIncluded;
}
